
HTMLDIR = ../html

ADMIGUIDE_SGML = admiguide.sgml
ADMIGUIDE_HTML = admiguide-en.html \
  admiguide-en-1.html admiguide-en-2.html admiguide-en-3.html \
  admiguide-en-4.html \
  admiguide-fr.html \
  admiguide-fr-1.html admiguide-fr-2.html admiguide-fr-3.html \
  admiguide-fr-4.html \

USERSGUIDE_SGML = usersguide.sgml
USERSGUIDE_HTML = usersguide-en.html \
  usersguide-en-1.html usersguide-en-2.html usersguide-en-3.html \
  usersguide-en-4.html usersguide-en-5.html usersguide-en-6.html \
  usersguide-fr.html \
  usersguide-fr-1.html usersguide-fr-2.html usersguide-fr-3.html \
  usersguide-fr-4.html usersguide-fr-5.html usersguide-fr-6.html \

TEMPLATES_SGML = templates.sgml
TEMPLATES_HTML = templates.html templates-1.html templates-2.html

all: $(ADMIGUIDE_HTML) $(USERSGUIDE_HTML) $(TEMPLATES_HTML)

$(ADMIGUIDE_HTML): $(ADMIGUIDE_SGML)
	../script/translator.pl en $(ADMIGUIDE_SGML) && \
   ../script/translator.pl fr $(ADMIGUIDE_SGML) && \
   cp $(ADMIGUIDE_HTML) $(HTMLDIR)

$(USERSGUIDE_HTML): $(USERSGUIDE_SGML)
	../script/translator.pl en $(USERSGUIDE_SGML) && \
   ../script/translator.pl fr $(USERSGUIDE_SGML) && \
   cp $(USERSGUIDE_HTML) $(HTMLDIR)

$(TEMPLATES_HTML): $(TEMPLATES_SGML)
	sgml2html --language=fr $(TEMPLATES_SGML) && cp $(TEMPLATES_HTML) $(HTMLDIR)

clean:
	rm -f $(ADMIGUIDE_HTML)
	rm -f $(USERSGUIDE_HTML)
	rm -f $(TEMPLATES_HTML)
